Rakefile.tt - bundler-1.15.4 Documentation

require “bundler/gem_tasks” <% if config == “minitest” -%> require “rake/testtask”

Rake::TestTask.new(:test) do |t|

    t.libs << "test"
    t.libs << "lib"
    t.test_files = FileList["test   /*_test.rb"]

end

<% elsif config == “rspec” -%> require “rspec/core/rake_task”

RSpec::Core::RakeTask.new(:spec)

<% end -%> <% if config -%> require “rake/extensiontask”

task :build => :compile

Rake::ExtensionTask.new(“<%= config %>”) do |ext|

    ext.lib_dir = "lib/<%= config[:namespaced_path] %>"

end

task :default => [:clobber, :compile, :<%= config %>] <% else -%> task :default => :<%= config %> <% end -%>